@extends('app')

@section('content')
<!doctype html>
<html lang="en">
    <body>
        <main>
            <div class="site-section">
                <div class="container">
                    <div class="row">
                        @extends('host.layout.sidebar')
                        <div class="col-md-9">
                            <div class="row">
                                <div class="col-md-4">
                                    <!-- <a class="btn btn-success btn-sm" href="{{ route('host.creategame') }}"> 
                                        <i class="fas fa-plus-circle"></i> Add Game Details
                                    </a> -->
                                </div>
                                <div class="card-body">
                                    
                                    <table id="example1" class="table table-bordered table-striped">
                                        <thead>
                                            <tr>
                                                <th>Company Name</th>
                                                <th>Location</th>
                                                <th>Game Code</th>
                                                <th>Status</th>
                                                <th>Date</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($games as $zon)
                                                <tr>
                                                    <td>{{ $zon->companyname }}</td>
                                                    <td>{{ $zon->location }}</td>
                                                    <td>{{ $zon->gameCode }}</td>
                                                    <td><?php if($zon->status == 1){ echo "Pending"; }else if($zon->status == 2){ echo "Start"; }else if($zon->status == 3){ echo "In-progress"; }else if($zon->status == 4){ echo "Completed"; } ?></td>
                                                    <td>{{ date('d M, Y', strtotime($zon->gameDate)) }}</td>
                                                    <td>
                                                        <a class="btn btn-danger btn-xs" href="{{ route('host.viewReports', $zon->id)}}" >View Report</a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tfoot>
                                    </table>              
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>  
        </main>
    </body>
</html>
@endsection
