    @extends('app')

    @section('content')
    <!doctype html>
    <html lang="en">
        <body>
            <main>
                <div class="site-section">
                    <div class="row">
                        
                        @extends('host.layout.sidebar')
                        <!-- <form> -->
                            <div class="col-md-10">
                                <div class="card card-info">
                                    <div class="card-header">
                                        <h3 class="card-title">Report</h3>
                                    </div>
                                    <!-- /.card-header -->
                                    <!-- form start -->
                                    <div class="card-body">
                                        <table id="example1" class="table table-bordered table-striped">
                                            @foreach ($reportDetails as $zon)
                                                <tr>
                                                    <td>
                                                        <label>Company Name</label>
                                                        <?php echo "<br />".$zon->companyname; ?>
                                                    </td>
                                                    <td>
                                                        <label>Location</label>
                                                        <?php echo "<br />".$zon->location; ?>
                                                    </td>
                                                    <td>
                                                        <label>Game Code</label>
                                                        <?php echo "<br />".$zon->gameCode; ?>
                                                    </td>
                                                    <td>
                                                        <label>Game Date</label>
                                                        <?php echo "<br />".date('d M, Y', strtotime($zon->gameDate)); ?>
                                                    </td>
                                                </tr>
                                                @break
                                            @endforeach
                                        </table>
                                        <br />
                                        <h3>BIDs</h3>
                                        <table id="example1" class="table table-bordered table-striped">
                                            <tr>
                                            <th>Name</th>
                                            <th>Bids for Auction 1</th>
                                            <th>Bids for Auction 2</th>
                                            <th>Bids for Auction 3</th>
                                            <th>Bids for Auction 4</th>
                                            </tr>
                                            @foreach ($reportDetails as $zon)
                                                <tr>
                                                    <td>
                                                        <?php echo $zon->name; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->bid1; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->bid2; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->bid3; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->bid4; ?>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </table>
                                        
                                        <br />
                                        <h3>Ranks</h3>
                                        <table id="example1" class="table table-bordered table-striped">
                                            <tr>
                                            <th>Name</th>
                                            <th>Rank for Auction 1</th>
                                            <th>Rank for Auction 2</th>
                                            <th>Rank for Auction 3</th>
                                            <th>Rank for Auction 4</th>
                                            </tr>
                                            @foreach ($reportDetails as $zon)
                                            <tr>
                                                <td>{{ $zon->name }}</td>
                                                <td style="background-color: {{ $zon->rank1 == '1st' ? 'gold' : ($zon->rank1 == '2nd' ? 'silver' : ($zon->rank1 == '3rd' ? 'bronze' : ($zon->rank1 == '4th' ? 'pink' : 'white'))) }}">{{ $zon->rank1 }}</td>
                                                <td style="background-color: {{ $zon->rank2 == '1st' ? 'gold' : ($zon->rank2 == '2nd' ? 'silver' : ($zon->rank2 == '3rd' ? 'bronze' : ($zon->rank2 == '4th' ? 'pink' : 'white'))) }}">{{ $zon->rank2 }}</td>
                                                <td style="background-color: {{ $zon->rank3 == '1st' ? 'gold' : ($zon->rank3 == '2nd' ? 'silver' : ($zon->rank3 == '3rd' ? 'bronze' : ($zon->rank3 == '4th' ? 'pink' : 'white'))) }}">{{ $zon->rank3 }}</td>
                                                <td style="background-color: {{ $zon->rank4 == '1st' ? 'gold' : ($zon->rank4 == '2nd' ? 'silver' : ($zon->rank4 == '3rd' ? 'bronze' : ($zon->rank4 == '4th' ? 'pink' : 'white'))) }}">{{ $zon->rank4 }}</td>
                                            </tr>
                                            @endforeach
                                        </table>
                                        

                                        
                                        <br />
                                        <h3>Scores</h3>
                                        <table id="example1" class="table table-bordered table-striped">
                                            <tr>
                                            <th>Name</th>
                                            <th>Scores for Auction 1</th>
                                            <th>Scores for Auction 2</th>
                                            <th>Scores for Auction 3</th>
                                            <th>Scores for Auction 4</th>
                                            <th>Final Rank</th>
                                            </tr>
                                            @foreach ($reportDetails as $zon)
                                                <tr>
                                                    <td>
                                                        <?php echo $zon->name; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->prize_amount1; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->prize_amount2; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->prize_amount3; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->prize_amount4; ?>
                                                    </td>
                                                    <td>
                                                        <?php echo $zon->prize_amount4; ?>
                                                    </td>
                                                    <td>
                                                        
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </table>
                                        
                                    </div>
                                </div>  

                            </div> 
                        <!-- </form> -->
                    </div> 
                </div>  
            </main>
        </body>
    </html>
    @endsection
