@extends('app')

@section('content')
<style>
    .stretch-image {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover !important;
}
</style>
<div class="container mt-4">
    <div class="row" style="height: 5vh;">
        <div class="col-12">
            @include('gameheader')
        </div>
    </div>
    <div class="row" style="height: 40vh;">
            <img src="{{ asset('images/q1.jpg') }}" class="w-100 h-100 stretch-image" alt="Image">
    </div>
    <form method="POST" action="{{ route('q1.submit') }}">
        @csrf
        <input type="hidden" name="name" value="{{ $player->name }}">
        <input type="hidden" name="gameid" value="{{ $player->gameid }}">
        <div class="row mt-4">
            <div class="col-12">
                <label for="bidInput">Your Bid for this round (Round 1) *</label>
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-12">
                <input type="number" id="bidInput" name="bidInput" class="form-control">
            </div>
        </div>
        <div class="row mt-2">
            <div class="col-12">
                <div class="text">
                    Amount Left: {{100-$player->spent}}
                </div>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-md-12 col-6">
                <button type="submit" class="btn btn-success btn-block ml-md-2" style="width: 100%;">Next</button>
            </div>
    </div>
    </form>
</div>
@endsection
