@extends('app')

@section('content')
<!doctype html>
<html lang="en">
    <body>
        <main>
            <div class="site-section">
                <div class="row">
                    @extends('host.layout.sidebar')
                    <!-- <form> -->
                        <div class="col-md-10">
                            <div class="card card-info">
                                <div class="card-header">
                                    <h3 class="card-title">Edit Game Details</h3>
                                </div>
                                <!-- /.card-header -->
                                <form class="form-horizontal" action="{{ route('host.gameUpdate') }}" method="POST">
                                    @csrf
                                <!-- form start -->
                                <div class="card-body">
                                    <table class="table table-striped table-bordered">
                                        <tr>
                                            <th>Company Name</th>
                                            <td>
                                                <input type="text" class="form-control" name="companyname" value="{{ $game->companyname }}" readonly>
                                                <input type="hidden" name="id" value="{{ $game->id }}">
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>Location</th>
                                            <td>
                                                <input type="text" class="form-control" name="location" value="{{ $game->location }}" readonly>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>Game Code</th>
                                            <td>
                                                <input type="text" class="form-control" name="gameCode" value="{{ $game->gameCode }}" <?php if($game->status != 1){ echo "readonly"; }?>>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>Game Date</th>
                                            <td>
                                                <input type="date" class="form-control" name="gameDate" value="{{ $game->gameDate }}" readonly>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>Status</th>
                                            <td>
                                                <?php if($game->status != 1){
                                                    if($game->status == 1){ echo "Pending"; }else if($game->status == 2){ echo "Start"; }else if($game->status == 3){ echo "In-progress"; }else if($game->status == 4){ echo "Complete"; } ?>
                                                    <input type="hidden" name="status" value="{{ $game->status }}">
                                                <?php }else {?>
                                                    <select class="form-control" name="status">
                                                        <option value="1">Pending</option>
                                                        <option value="2">Start</option>
                                                        <option value="3">In-progress</option>
                                                        <option value="4">Complete</option>
                                                    </select>
                                                <?php } ?>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>
                                                <button type="submit" class="btn btn-info" id="package-save-btn">Save</button>
                                                <a type="button" class="btn btn-danger" href="{{url('/host/games')}}">Cancel</a>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                </form>
                            </div>  

                        </div> 
                    <!-- </form> -->
                </div> 
            </div>  
        </main>
    </body>
</html>
@endsection
