@extends('app')

@section('content')
<style>
    table {
        margin: 0 auto;
        border-collapse: collapse;
        width: 50%; 
    }

    th, td {
        border: 1px solid black; 
        padding: 7px;
        text-align: center;
    }

    th {
        background-color: #f2f2f2;
    }
</style>
<div class="container mt-4">
    <div class="row" style="height: 25vh;">
        <div class="col-12">
            @include('gameheader')
        </div>
    </div>
    <br>
    <h3>Thank You for playing! Your Bids have been recorded</h3>
    <br>
    <table>
        <tr>
            <td style="text-align:left;">Round 1</td>
            <td>{{$player->bid1}}</td>
        </tr>
        <tr>
            <td style="text-align:left;">Round 2</td>
            <td>{{$player->bid2}}</td>
        </tr>
        <tr>
            <td style="text-align:left;">Round 3</td>
            <td>{{$player->bid3}}</td>
        </tr>
        <tr>
            <td style="text-align:left;">Round 4</td>
            <td>{{$player->bid4}}</td>
        </tr>
        <tr>
            <td style="text-align:left;"><b>Total</b></td>
            <td><b>{{$player->spent}}</b></td>
        </tr>
    </table>
    <br>
    @php
        $startTime = new DateTime($player->startdatetime);
        $endTime = new DateTime($player->enddatetime);
        $interval = $startTime->diff($endTime);
    @endphp
    <h3 style="text-align:center"><b>Time Used - {{ $interval->format('%H:%I:%S') }} Minutes</b></h3>
</div>
@endsection
